
var playPromise;
var Volume = 50;
var volStep = 1;
var volDelay = 50;
var savedVolume = null;
var Player;
var interval;

$(window).ready(function() {


	Player = $('#player').get(0);

	function setVolume() {
		$('#volume').html(Volume == 0 ? '-mute-' : Volume == 100 ? '-max-' : parseInt(Volume));
		if(Volume < 33) {
			document.getElementById( "volume" ).style.color = "#f00";
		} else if(Volume > 66) {
			document.getElementById( "volume" ).style.color = "#0f0";
		} else {
			document.getElementById( "volume" ).style.color = "#ff0";
		}
		if(typeof Player !== undefined) {
			Player.volume = Volume/100;
		}
	}
	function incVolume() {
			Volume = Volume >= 100 - volStep ? 100 : Volume + volStep;
			setVolume();
	}
	function decVolume() {
			Volume = Volume <= 0 + volStep ? 0 : Volume - volStep;
			setVolume();
	}

	$(document).keydown( function(event) {
		//console.log(event.which);
		if(event.which === 107 || event.which === 187) incVolume();
		if(event.which === 109 || event.which === 189) decVolume();
	});
	$('#volsub').mousedown(function() {
		interval = setInterval(decVolume, volDelay);
	}).mouseup(function() {
		clearInterval(interval);
	}).click(function() {
		decVolume();
	});
	$('#voladd').mousedown(function() {
		interval = setInterval(incVolume, volDelay);
	}).mouseup(function() {
		clearInterval(interval);
	}).click(function() {
		incVolume();
	});
	$('#volume').click(function() {
		if(savedVolume) {
			Volume = savedVolume;
			savedVolume = null;
		} else {
			savedVolume = Volume;
			Volume = 0;
		}
		setVolume();
	}).dblclick(function() {
		Volume = 50;
		setVolume();
	});

	$('span[class="starter"]').on("click", function() {
		Player.volume = Volume/100;
		Player.src=$(this).attr('mount');
		Player.load();
		playPromise = Player.play();
		$('span[class="starter"]').each(function() {
			$(this).parent().css({'background':'none',"border":"dotted 1px #acc"});
		});
		$(this).parent().css({"background":'#afa url("img/dance2.gif") right center no-repeat',"border":"outset 1px #ccc"});
		setTimeout(doRefresh(true),2000);
	});

	$('span[class="title"]').click(function() {
		var $temp = $('<input>');
		$('body').append($temp);
		$temp.val($(this).text().toLowerCase()).select();
		try {
			document.execCommand("copy");
		} catch(e) {
			console.log('catched ' + e.message);
		}
		$temp.remove();
		$temp = $(this).html();
		$(this).html('<span style="color:red;font:bold 100% verdana">зкопійовано до буферу обміну!</span>').show().delay(800).fadeOut(100, function() { $(this).html($temp).fadeIn(100); });
	});

	setVolume();
	doRefresh();
	window.focus();

});

function doRefresh(runOnce = false) {
	if(!runOnce) {
		setTimeout(doRefresh,5000);
	}
	var setId;
	$.getJSON("refresh-helper.xsl", function(data) {
		$.each(data, function (stream,res) {
			$.each(res, function(p,v) {
				setId = p + '_' + stream;
				$('#' + setId).html(v);
			});
		});

	});
	//var dt = new Date();
	//$('#curtime').text((dt.getHours() < 10 ? '0' : '') + dt.getHours() + ":" + (dt.getMinutes() < 10 ? '0' : '')+ dt.getMinutes());
	var $table = $('table');
	var rows = $table.find("tr[class='station']").get();
	rows.sort(function(a, b) {
		var lA = $(a).find('td').eq(2).text().split('/');
		var lB = $(b).find('td').eq(2).text().split('/');
		//console.log(lA[0] + ':' + lA[1] + ' vs ' + lB[0] + ':' +lB[1]);
		if(Number($.trim(lA[0])) < Number($.trim(lB[0]))) {
			return 1;
		} else if (Number($.trim(lA[0])) > Number($.trim(lB[0]))) {
			return -1;
		} else {
			if(Number($.trim(lA[1])) < Number($.trim(lB[1]))) {
				return 1;
			} else if (Number($.trim(lA[1])) > Number($.trim(lB[1]))) {
				return -1;
			} else {
				var dA = $(a).find('td').eq(0).text();
				var dB = $(b).find('td').eq(0).text();
				return $.trim(dA).localeCompare($.trim(dB));
			}
		}
	});
	$.each(rows, function(index, row) {
		$table.children('tbody').append(row);
	});
}

